### Method

# Gio TlsClientConnection get_validation_flags

deprecated: 2.72 since: 2.28

#### Declaration [src]

    GTlsCertificateFlags
    g_tls_client_connection_get_validation_flags (
      GTlsClientConnection* conn
    )

#### Description [src]

Gets `conn`‘s validation flags

This function does not work as originally designed and is impossible to use correctly. See `GTlsClientConnection:validation-flags` for more information.

Available since: 2.28

Deprecated since: 2.72

Do not attempt to ignore validation errors.

Gets property | `Gio.TlsClientConnection:validation-flags`

#### Return value

Type: `GTlsCertificateFlags`

The validation flags.